﻿/**
 * Created by ZhaoHuanLei on 2016/4/13.
 */


/*
* 调用animate.css封装
* animationName: class名字
* delay： 延迟执行时间 ms
* duration： 动画过渡时间 ms
*/
(function ($) {
    $.fn.animateClass = function (animationName, delay, duration, callback) {
        var animationEnd = "webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend",
            delay = delay || 0,
            self = $(this);
        setTimeout(function () {
            duration && self.css({"animation-duration": duration + "ms", "-webkit-animation-duration": duration + "ms"});
            self.removeClass("hide").addClass("animated " + animationName).one(animationEnd, function() {
                self.removeClass("animated " + animationName);
                callback && callback();
            });
        }, delay);
    };
})(Zepto);


$(function () {

    //loading
    (function () {
        document.onreadystatechange = function () {
            if(document.readyState == "complete") {
                charitable();
                $(".loading").hide();
            }
        }
    })();

    function charitable() {
        //第一屏
        var light = $(".light"),
            openid = pet.queryString("openid"),
            nickname = decodeURIComponent(pet.queryString("nickname")),
            activityReq = "http://activity.yc.cn/commonweal/";

        /*"000000", "成功"
         "100001", "每个用户只能点亮一次喔"
         "100004", "已达成目标"*/
        $(".btn-donate").on("click", function () {
            $.ajax({
                url: activityReq + "light.do?openid=" + openid + "&jsonCallback=?",
                dataType: "jsonp",
                success: function (json) {
                    var code = json.code;
                    function jump() {
                        setTimeout(function () {
                            window.location.href = activityReq + "lightResult.do?openid=" + openid + "&nickname=" + encodeURIComponent(nickname);
                        }, 1000);
                    }                    
                    if (code == "000000") {
                        prompt("感谢参与");
                        jump();
                    } else if (code == "100001" || code == "100004") {
                        prompt(json.desc);
                        jump();
                    }
                },
                error: function () {
                    prompt("点亮失败，稍后再试");
                }
            });
        });



        //第二屏
        var title = $("title"),
            count = $(".count"),
            sum = count.find(".sum"),
            foodstuff = $(".foodstuff"),
            bowl = $(".bowl"),
            tips = $(".tips"),
            num = tips.find(".num"),
            heart = $(".heart"),
            love = $(".love");
        count.animateClass("fadeIn");
        foodstuff.animateClass("fadeInDown", 800, false, function () {
            foodstuff.animateClass("fadeOut", 500, false, function () {
                foodstuff.addClass("hide");
            });
        });
        bowl.animateClass("fadeInUp", 800, false, function () {
            bowl.animateClass("fadeOut", 500, false, function () {
                bowl.addClass("hide");
            });
        });
        tips.animateClass("fadeIn", 2000);
        heart.animateClass("zoomIn", 3200);
        love.animateClass("fadeIn", 4000, 1500);

        $(".btn-detail").on("click", function () {
            $(".detail-popup").animateClass("fadeIn");
        });
        heart.on("click", function () {
            $(".share-popup").animateClass("fadeIn");
        });
        $(".popup").on("click", function () {
            $(this).addClass("hide");
        });



        //微信分享
        var jumpUrl = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wxf4466017457b72fa&redirect_uri=http%3A%2F%2Factivity.yc.cn%2Fcommonweal%2Fauth.do&response_type=code&scope=snsapi_userinfo&state=STATE&connect_redirect=1#wechat_redirect";
        if (pet.isWeixin()) {
            pet.loadFile(pet.path + "app/js/wxshare.js", function () {
                var wxshareTitle = $(".intro").length ? "【有宠有爱！你点击,我捐助】一点关爱一份温饱，一起来为流浪猫狗捐赠宠粮" : "【有宠有爱！你点击,我捐助】" + nickname + "已为流浪猫狗捐助宠粮" + num.text() + "克";
                wxShare({
                    title: wxshareTitle,
                    //desc: "",
                    img: pet.path + "app/images/topic/charitable/share.jpg",
                    link: jumpUrl
                });
            })
        } else {
            alert("请在微信客户端打开链接", function () {
                window.location.href = jumpUrl;
            });
        }
    }



});